Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PrintWriter
Name | ### print()
Examples |
    PrintWriter output;

    void setup() {
      // Create a new file in the sketch directory
      output = createWriter("positions.txt");
    }

    void draw() {
      point(mouseX, mouseY);
      output.print(mouseX + "t"); // Write the X coordinate to the file
      output.println(mouseY); // Write the Y coordinate to the file
    }

    void keyPressed() {
      output.flush(); // Writes the remaining data to the file
      output.close(); // Finishes the file
      exit(); // Stops the program
    }
Description | Writes data to a PrintWriter object stream.
Syntax |
    pw.println(data)
Parameters |
pw | any object of the type PrintWriter
data | boolean, byte, char, color, int, float, String
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT